Set the object requirement for a custom action definition.
curl --request POST \
--url 'https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"requiresObject": true
}
'import requests
url = "https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey="
payload = { "requiresObject": True }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requiresObject: true})
};
fetch('https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requiresObject' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey="
payload := strings.NewReader("{\n \"requiresObject\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"requiresObject\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"requiresObject\": true\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Definitions
Set the object requirement for a custom action definition.
Set whether a custom action definition requires an object.
POST
/
automation
/
actions
/
2026-09
/
{appId}
/
{definitionId}
/
requires-object
Set the object requirement for a custom action definition.
curl --request POST \
--url 'https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"requiresObject": true
}
'import requests
url = "https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey="
payload = { "requiresObject": True }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requiresObject: true})
};
fetch('https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requiresObject' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey="
payload := strings.NewReader("{\n \"requiresObject\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"requiresObject\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/actions/2026-09/{appId}/{definitionId}/requires-object?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"requiresObject\": true\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
Path Parameters
The unique identifier of the app associated with the extension definition.
The unique identifier of the extension definition for which the requirement is being set.
Body
application/json
Indicates whether a custom action definition requires an associated object.
Response
No content
Last modified on September 9, 2026
Was this page helpful?